package com.gic.finance.dto.callback;

import java.io.Serializable;
import java.util.Date;

/**
 * 发票回调DTO
 * @ClassName: InvoiceCallbackDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/18 9:32 AM 
 */
public class InvoiceCallbackDTO implements Serializable{
    private static final long serialVersionUID = 1841339950679558692L;

    /**
     * 申请单流水号
     */
    private String invoiceApplySerial;

    /**
     * （商户类型）1:GIC 2: 好办
     */
    private Integer platformType;

    /**
     * （发票类型）1:纸质普通发票 2: 纸质增值税专用发票
     */
    private Integer invoiceType;

    /**
     * 开票金额
     */
    private Double billingAmount;

    /**
     * 发票状态 1:待开具 2:待邮寄 3:已邮寄 4:已驳回 5:已取消
     */
    private Integer invoiceStatus;

    /**
     * 驳回理由
     */
    private String rejectReason;

    /**
     * 操作人
     */
    private String operatorId;

    /**
     * 操作人姓名
     */
    private String operatorName;

    /**
     * 操作时间
     */
    private Date operatorTime;

    /**
     * 操作人手机号码
     */
    private String operatorPhone;

    /**
     * 操作人手机号国际区号
     */
    private String operatorPhoneAreaCode;

    /**
     * 快递公司
     */
    private String expressMailName;

    /**
     * 快递单号
     */
    private String expressMailNumber;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 发起人
     */
    private String initiator;

    /**
     * 电子发票类型，接收人邮箱
     */
    private String email;

    /**
     * 营业执照 图片地址
     */
    private String businessLicense;

    public String getInvoiceApplySerial() {
        return invoiceApplySerial;
    }

    public void setInvoiceApplySerial(String invoiceApplySerial) {
        this.invoiceApplySerial = invoiceApplySerial;
    }

    public Integer getPlatformType() {
        return platformType;
    }

    public void setPlatformType(Integer platformType) {
        this.platformType = platformType;
    }

    public Integer getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }

    public Double getBillingAmount() {
        return billingAmount;
    }

    public void setBillingAmount(Double billingAmount) {
        this.billingAmount = billingAmount;
    }

    public Integer getInvoiceStatus() {
        return invoiceStatus;
    }

    public void setInvoiceStatus(Integer invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

    public String getRejectReason() {
        return rejectReason;
    }

    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    public String getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(String operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public Date getOperatorTime() {
        return operatorTime;
    }

    public void setOperatorTime(Date operatorTime) {
        this.operatorTime = operatorTime;
    }

    public String getOperatorPhone() {
        return operatorPhone;
    }

    public void setOperatorPhone(String operatorPhone) {
        this.operatorPhone = operatorPhone;
    }

    public String getOperatorPhoneAreaCode() {
        return operatorPhoneAreaCode;
    }

    public void setOperatorPhoneAreaCode(String operatorPhoneAreaCode) {
        this.operatorPhoneAreaCode = operatorPhoneAreaCode;
    }

    public String getExpressMailName() {
        return expressMailName;
    }

    public void setExpressMailName(String expressMailName) {
        this.expressMailName = expressMailName;
    }

    public String getExpressMailNumber() {
        return expressMailNumber;
    }

    public void setExpressMailNumber(String expressMailNumber) {
        this.expressMailNumber = expressMailNumber;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInitiator() {
        return initiator;
    }

    public void setInitiator(String initiator) {
        this.initiator = initiator;
    }

    public String getEmail() {
        return email;
    }

    public InvoiceCallbackDTO setEmail(String email) {
        this.email = email;
        return this;
    }

    public String getBusinessLicense() {
        return businessLicense;
    }

    public InvoiceCallbackDTO setBusinessLicense(String businessLicense) {
        this.businessLicense = businessLicense;
        return this;
    }
}
