package com.gic.finance.web.controller;

import com.gic.enterprise.service.EnterpriseApiService;
import com.gic.finance.web.vo.EnterpriseInfoOfSelectVO;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.service.EnterpriseWhiteListApiService;
import com.gic.enterprise.utils.ResultControllerUtils;

@RestController
@RequestMapping("/white-list")
public class EnterpriseWhiteListController {
    private static Logger LOGGER = LoggerFactory.getLogger(EnterpriseWhiteListController.class);

    @Autowired
    private EnterpriseWhiteListApiService enterpriseWhiteListApiService;
    @Autowired
    private EnterpriseApiService enterpriseApiService;


    @RequestMapping("/save-white-list")
    public RestResponse saveWhiteList(Integer enterpriseId) {
        return ResultControllerUtils.commonResult(enterpriseWhiteListApiService.saveEnterpriseWhiteList(enterpriseId));
    }

    @RequestMapping("/list-enterprise-by-name")
    public RestResponse listEnterpriseByName(String search) {
        return ResultControllerUtils.commonResult(enterpriseApiService.listEnterpriseByName(search),
                EnterpriseInfoOfSelectVO.class);
    }

    @RequestMapping("/remove-white-list")
    public RestResponse removeWhiteList(Integer enterpriseId) {
        return ResultControllerUtils.commonResult(enterpriseWhiteListApiService.removeEnterpriseWhiteList(enterpriseId));
    }

    @RequestMapping("/get-enterprise-balance")
    public RestResponse getEnterpriseBalance(Integer enterpriseId) {
        return ResultControllerUtils.commonResult(enterpriseWhiteListApiService.getEnterpriseBalance(enterpriseId));
    }

    @RequestMapping("/list-white-list")
    public RestResponse listWhiteList(String search, @RequestParam(defaultValue = "1") int currentPage,
                                      @RequestParam(defaultValue = "20") int pageSize) {
        return ResultControllerUtils.commonResult(enterpriseWhiteListApiService
                .pageEnterpriseWhiteList(search, currentPage, pageSize));
    }

}
